apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: rhel-8-moccasin-mastodon-10
  namespace: blmclaren
spec:
  dataVolumeTemplates:
    - metadata:
        name: rhel-8-moccasin-mastodon-10-volume
      spec:
        sourceRef:
          kind: DataSource
          name: rhel8
          namespace: openshift-virtualization-os-images
        storage:
          resources:
            requests:
              storage: 30Gi
          storageClassName: px-rwx-block-kubevirt
    - metadata:
        name: dv-rhel-8-moccasin-mastodon-10-disk-copper-wildfowl-61-xuc6q5
      spec:
        source:
          blank: {}
        storage:
          resources:
            requests:
              storage: 30Gi
          accessModes:
            - ReadWriteMany
          volumeMode: Block
          storageClassName: px-rwx-block-kubevirt
  instancetype:
    name: u1.medium
  preference:
    name: rhel.8
  runStrategy: Always
  template:
    metadata:
      labels:
        network.kubevirt.io/headlessService: headless
    spec:
      domain:
        devices:
          autoattachPodInterface: false
          disks:
            - disk:
                bus: virtio
              name: disk-copper-wildfowl-61
          interfaces:
            - masquerade: {}
              name: default
      networks:
        - name: default
          pod: {}
      subdomain: headless
      volumes:
        - dataVolume:
            name: rhel-8-moccasin-mastodon-10-volume
          name: rootdisk
        - cloudInitNoCloud:
            userData: |
              #cloud-config
              chpasswd:
                expire: false
              password: fiyz-eutf-3r2q
              user: rhel
          name: cloudinitdisk
        - dataVolume:
            name: dv-rhel-8-moccasin-mastodon-10-disk-copper-wildfowl-61-xuc6q5
          name: disk-copper-wildfowl-61
